Share via


Sql Collector Operations - List By Assessment Project

List SqlCollector resources by AssessmentProject

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Migrate/assessmentProjects/{projectName}/sqlcollectors?api-version=2024-01-15

URI Parameters

Name In Required Type Description
projectName
path True

string

pattern: ^[^<>&:\?/#]{1,260}$

Assessment Project Name

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

SqlCollectorListResult

ARM operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

SqlCollectorOperations_ListByAssessmentProject_MaximumSet_Gen

Sample request

GET https://management.azure.com/subscriptions/4bd2aa0f-2bd2-4d67-91a8-5a4533d58600/resourceGroups/rgmigrate/providers/Microsoft.Migrate/assessmentProjects/fci-test6904project/sqlcollectors?api-version=2024-01-15

Sample response

{
  "value": [
    {
      "id": "/subscriptions/4bd2aa0f-2bd2-4d67-91a8-5a4533d58600/resourceGroups/bansalankit-rg/providers/Microsoft.Migrate/assessmentprojects/fci-ankit-test6904project/sqlcollectors/fci-ankit-test0c1esqlsitecollector",
      "name": "fci-ankit-test0c1esqlsitecollector",
      "systemData": {
        "createdAt": "0001-01-01T00:00:00",
        "createdBy": null,
        "createdByType": null,
        "lastModifiedAt": "0001-01-01T00:00:00",
        "lastModifiedBy": null,
        "lastModifiedByType": null
      },
      "type": "Microsoft.Migrate/assessmentprojects/sqlcollectors",
      "properties": {
        "agentProperties": {
          "id": "630da710-4d44-41f7-a189-72fe3db5502b-agent",
          "version": null,
          "lastHeartbeatUtc": null,
          "spnDetails": {
            "authority": "https://login.windows.net/72f988bf-86f1-41af-91ab-2d7cd011db47",
            "applicationId": "db9c4c3d-477c-4d5a-817b-318276713565",
            "audience": "db9c4c3d-477c-4d5a-817b-318276713565",
            "objectId": "e50236ad-ad07-47d4-af71-ed7b52d200d5",
            "tenantId": "72f988bf-86f1-41af-91ab-2d7cd011db47"
          }
        },
        "discoverySiteId": "/subscriptions/4bd2aa0f-2bd2-4d67-91a8-5a4533d58600/resourceGroups/bansalankit-rg/providers/Microsoft.OffAzure/MasterSites/fci-ankit-test6065mastersite/SqlSites/fci-ankit-test6065sqlsites",
        "createdTimestamp": "2022-11-22T09:50:37.1061418Z",
        "updatedTimestamp": "2023-02-16T12:17:52.9185188Z"
      }
    }
  ],
  "nextLink": null
}

Definitions

Name Description
CollectorAgentPropertiesBase

Collector agent property class.

CollectorAgentSpnPropertiesBase

Collector agent SPN details class.

createdByType

The type of identity that created the resource.

ErrorDetail

Error Details

ErrorResponse

Error response

ProvisioningState

The status of the current operation.

SqlCollector

The SQL collector REST object.

SqlCollectorListResult

The response of a SqlCollector list operation.

systemData

Metadata pertaining to creation and last modification of the resource.

CollectorAgentPropertiesBase

Collector agent property class.

Name Type Description
id

string

Gets the collector agent id.

lastHeartbeatUtc

string (date-time)

Gets the collector last heartbeat time.

spnDetails

CollectorAgentSpnPropertiesBase

Gets or sets the SPN details.

version

string

Gets the collector agent version.

CollectorAgentSpnPropertiesBase

Collector agent SPN details class.

Name Type Description
applicationId

string

Gets the AAD application id.

audience

string

Gets the AAD audience url.

authority

string

Gets the AAD authority endpoint.

objectId

string

Gets the object id of the AAD application.

tenantId

string

Gets the tenant id of the AAD application.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorDetail

Error Details

Name Type Description
code

string

Error Code

message

string

Description of the error occurred

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ProvisioningState

The status of the current operation.

Value Description
Succeeded

Resource has been created.

Failed

Resource creation failed.

Canceled

Resource creation was canceled.

Provisioning

Resource is being Provisioned.

Updating

Resource is being Updated.

Deleting

Resource is being Deleted.

Accepted

Resource is being Accepted.

SqlCollector

The SQL collector REST object.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.agentProperties

CollectorAgentPropertiesBase

Gets or sets the collector agent properties.

properties.createdTimestamp

string (date-time)

Gets the Timestamp when collector was created.

properties.discoverySiteId

string

Gets the discovery site id.

properties.provisioningState

ProvisioningState

The status of the last operation.

properties.updatedTimestamp

string (date-time)

Timestamp when collector was last updated.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

SqlCollectorListResult

The response of a SqlCollector list operation.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

SqlCollector[]

The SqlCollector items on this page

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.